Authored by 朱小军

编译问题提交 review by 宏勇

... ... @@ -15,8 +15,8 @@ def import_pods_common
pod 'RNDeviceInfo', :path => '../node_modules/react-native-device-info'
pod 'SSZipArchive', '~> 1.2'
pod 'Fabric'
pod 'Crashlytics'
# pod 'Fabric'
# pod 'Crashlytics'
end
target 'YH_Vendor' do
... ...
PODS:
- Crashlytics (3.7.1):
- Fabric (~> 1.6.3)
- Fabric (1.6.7)
- React (0.26.3):
- React/Core (= 0.26.3)
- React/Core (0.26.3)
... ... @@ -22,13 +19,11 @@ PODS:
- React/Core
- React/RCTWebSocket (0.26.3):
- React/Core
- RNDeviceInfo (0.9.3):
- RNDeviceInfo (0.9.2):
- React
- SSZipArchive (1.2)
DEPENDENCIES:
- Crashlytics
- Fabric
- React/Core (from `../node_modules/react-native`)
- React/RCTActionSheet (from `../node_modules/react-native`)
- React/RCTImage (from `../node_modules/react-native`)
... ... @@ -41,19 +36,21 @@ DEPENDENCIES:
- RNDeviceInfo (from `../node_modules/react-native-device-info`)
- SSZipArchive (~> 1.2)
SPEC REPOS:
https://github.com/CocoaPods/Specs.git:
- SSZipArchive
EXTERNAL SOURCES:
React:
:path: ../node_modules/react-native
:path: "../node_modules/react-native"
RNDeviceInfo:
:path: ../node_modules/react-native-device-info
:path: "../node_modules/react-native-device-info"
SPEC CHECKSUMS:
Crashlytics: 3cdd4c9655be68032a0cf0379e0fb5ef6af22cad
Fabric: caf7580c725e64db144f610ac65cd60956911dc7
React: 82b64b37b7ad5895b902b33bc7d5a49dbc22793e
RNDeviceInfo: dc3cbee96cd2392cf03d6ff6191dc15f1606a166
RNDeviceInfo: e3fe8d8fe52f74eab22b7d4784a4fdd2e9bf4a26
SSZipArchive: 251093c65f98d6ea282c50bc404bfa631d9fd721
PODFILE CHECKSUM: 499427107ab3896fefd1f94b31ea3eac6762d8cb
PODFILE CHECKSUM: b0142b31d1d8642ff7b77d53be6a40a8d0198dec
COCOAPODS: 1.2.0
COCOAPODS: 1.9.1
... ...
... ... @@ -29,8 +29,6 @@
87561E491D0D519600C6AEE8 /* highcharts.js in Resources */ = {isa = PBXBuildFile; fileRef = 87561E461D0D519600C6AEE8 /* highcharts.js */; };
87561E4A1D0D519600C6AEE8 /* jquery-1.9.1.min.js in Resources */ = {isa = PBXBuildFile; fileRef = 87561E471D0D519600C6AEE8 /* jquery-1.9.1.min.js */; };
87561E4B1D0D519600C6AEE8 /* jquery-1.9.1.min.js in Resources */ = {isa = PBXBuildFile; fileRef = 87561E471D0D519600C6AEE8 /* jquery-1.9.1.min.js */; };
87561E581D0FB54300C6AEE8 /* libSMXCrashlytics.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 87561E571D0FB4FD00C6AEE8 /* libSMXCrashlytics.a */; };
87561E591D0FB54900C6AEE8 /* libSMXCrashlytics.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 87561E571D0FB4FD00C6AEE8 /* libSMXCrashlytics.a */; };
8780A42C1EF279D5009FD234 /* UIAlertView+BBlock.m in Sources */ = {isa = PBXBuildFile; fileRef = 8780A4241EF279D5009FD234 /* UIAlertView+BBlock.m */; };
8780A42D1EF279D5009FD234 /* YH_AVScanViewController.m in Sources */ = {isa = PBXBuildFile; fileRef = 8780A4261EF279D5009FD234 /* YH_AVScanViewController.m */; };
8780A42F1EF279D5009FD234 /* YH_ScanUtility.m in Sources */ = {isa = PBXBuildFile; fileRef = 8780A42A1EF279D5009FD234 /* YH_ScanUtility.m */; };
... ... @@ -52,13 +50,6 @@
remoteGlobalIDString = 13B07F861A680F5B00A75B9A;
remoteInfo = YH_Vendor;
};
87561E561D0FB4FD00C6AEE8 /* PBXContainerItemProxy */ = {
isa = PBXContainerItemProxy;
containerPortal = 87561E521D0FB4FD00C6AEE8 /* SMXCrashlytics.xcodeproj */;
proxyType = 2;
remoteGlobalIDString = D8D9DB831C6D03DB009FBC0E;
remoteInfo = SMXCrashlytics;
};
/* End PBXContainerItemProxy section */
/* Begin PBXFileReference section */
... ... @@ -84,7 +75,6 @@
8730DB931D07ED1900EC80BA /* YH_Vendor_Dev.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; name = YH_Vendor_Dev.plist; path = /Users/yl3016/Desktop/workspace/YH_Vendor/ios/YH_Vendor_Dev.plist; sourceTree = "<absolute>"; };
87561E461D0D519600C6AEE8 /* highcharts.js */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.javascript; path = highcharts.js; sourceTree = "<group>"; };
87561E471D0D519600C6AEE8 /* jquery-1.9.1.min.js */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.javascript; path = "jquery-1.9.1.min.js"; sourceTree = "<group>"; };
87561E521D0FB4FD00C6AEE8 /* SMXCrashlytics.xcodeproj */ = {isa = PBXFileReference; lastKnownFileType = "wrapper.pb-project"; name = SMXCrashlytics.xcodeproj; path = "../node_modules/react-native-fabric/ios/SMXCrashlytics.xcodeproj"; sourceTree = "<group>"; };
8780A4231EF279D5009FD234 /* UIAlertView+BBlock.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "UIAlertView+BBlock.h"; sourceTree = "<group>"; };
8780A4241EF279D5009FD234 /* UIAlertView+BBlock.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "UIAlertView+BBlock.m"; sourceTree = "<group>"; };
8780A4251EF279D5009FD234 /* YH_AVScanViewController.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = YH_AVScanViewController.h; sourceTree = "<group>"; };
... ... @@ -113,7 +103,6 @@
isa = PBXFrameworksBuildPhase;
buildActionMask = 2147483647;
files = (
87561E581D0FB54300C6AEE8 /* libSMXCrashlytics.a in Frameworks */,
87AF81B21D01168400ACE834 /* libReact.a in Frameworks */,
87AF81B31D01168400ACE834 /* libSSZipArchive.a in Frameworks */,
87AF818B1CFD959D00ACE834 /* libRNDeviceInfo.a in Frameworks */,
... ... @@ -125,7 +114,6 @@
isa = PBXFrameworksBuildPhase;
buildActionMask = 2147483647;
files = (
87561E591D0FB54900C6AEE8 /* libSMXCrashlytics.a in Frameworks */,
8730DB841D07ED1900EC80BA /* libReact.a in Frameworks */,
8730DB851D07ED1900EC80BA /* libSSZipArchive.a in Frameworks */,
8730DB861D07ED1900EC80BA /* libRNDeviceInfo.a in Frameworks */,
... ... @@ -196,7 +184,6 @@
832341AE1AAA6A7D00B99B32 /* Libraries */ = {
isa = PBXGroup;
children = (
87561E521D0FB4FD00C6AEE8 /* SMXCrashlytics.xcodeproj */,
);
name = Libraries;
sourceTree = "<group>";
... ... @@ -225,14 +212,6 @@
name = Products;
sourceTree = "<group>";
};
87561E531D0FB4FD00C6AEE8 /* Products */ = {
isa = PBXGroup;
children = (
87561E571D0FB4FD00C6AEE8 /* libSMXCrashlytics.a */,
);
name = Products;
sourceTree = "<group>";
};
8780A41F1EF279D5009FD234 /* QRCode */ = {
isa = PBXGroup;
children = (
... ... @@ -302,9 +281,6 @@
13B07F8C1A680F5B00A75B9A /* Frameworks */,
13B07F8E1A680F5B00A75B9A /* Resources */,
00DD1BFF1BD5951E006B06BC /* Bundle React Native code and images */,
87561E5B1D0FC3F100C6AEE8 /* ShellScript */,
110BF77373F68A93F628CD05 /* [CP] Embed Pods Frameworks */,
6664F63A2B63B47AD8FBB0AB /* [CP] Copy Pods Resources */,
);
buildRules = (
);
... ... @@ -324,9 +300,6 @@
8730DB831D07ED1900EC80BA /* Frameworks */,
8730DB881D07ED1900EC80BA /* Resources */,
8730DB8C1D07ED1900EC80BA /* Bundle React Native code and images */,
87561E5A1D0FB6B400C6AEE8 /* ShellScript */,
3661491C3014AEB7F80B76DC /* [CP] Embed Pods Frameworks */,
3603AEB35D8267E6F037925E /* [CP] Copy Pods Resources */,
);
buildRules = (
);
... ... @@ -364,18 +337,13 @@
developmentRegion = English;
hasScannedForEncodings = 0;
knownRegions = (
English,
en,
Base,
);
mainGroup = 83CBB9F61A601CBA00E9B192;
productRefGroup = 83CBBA001A601CBA00E9B192 /* Products */;
projectDirPath = "";
projectReferences = (
{
ProductGroup = 87561E531D0FB4FD00C6AEE8 /* Products */;
ProjectRef = 87561E521D0FB4FD00C6AEE8 /* SMXCrashlytics.xcodeproj */;
},
);
projectRoot = "";
targets = (
13B07F861A680F5B00A75B9A /* YH_Vendor */,
... ... @@ -385,16 +353,6 @@
};
/* End PBXProject section */
/* Begin PBXReferenceProxy section */
87561E571D0FB4FD00C6AEE8 /* libSMXCrashlytics.a */ = {
isa = PBXReferenceProxy;
fileType = archive.ar;
path = libSMXCrashlytics.a;
remoteRef = 87561E561D0FB4FD00C6AEE8 /* PBXContainerItemProxy */;
sourceTree = BUILT_PRODUCTS_DIR;
};
/* End PBXReferenceProxy section */
/* Begin PBXResourcesBuildPhase section */
00E356EC1AD99517003FC87E /* Resources */ = {
isa = PBXResourcesBuildPhase;
... ... @@ -440,67 +398,7 @@
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "export NODE_BINARY=node\n../node_modules/react-native/packager/react-native-xcode.sh";
};
110BF77373F68A93F628CD05 /* [CP] Embed Pods Frameworks */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 2147483647;
files = (
);
inputPaths = (
);
name = "[CP] Embed Pods Frameworks";
outputPaths = (
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-YH_Vendor/Pods-YH_Vendor-frameworks.sh\"\n";
showEnvVarsInLog = 0;
};
3603AEB35D8267E6F037925E /* [CP] Copy Pods Resources */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 2147483647;
files = (
);
inputPaths = (
);
name = "[CP] Copy Pods Resources";
outputPaths = (
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-YH_Vendor_Dev/Pods-YH_Vendor_Dev-resources.sh\"\n";
showEnvVarsInLog = 0;
};
3661491C3014AEB7F80B76DC /* [CP] Embed Pods Frameworks */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 2147483647;
files = (
);
inputPaths = (
);
name = "[CP] Embed Pods Frameworks";
outputPaths = (
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-YH_Vendor_Dev/Pods-YH_Vendor_Dev-frameworks.sh\"\n";
showEnvVarsInLog = 0;
};
6664F63A2B63B47AD8FBB0AB /* [CP] Copy Pods Resources */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 2147483647;
files = (
);
inputPaths = (
);
name = "[CP] Copy Pods Resources";
outputPaths = (
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-YH_Vendor/Pods-YH_Vendor-resources.sh\"\n";
showEnvVarsInLog = 0;
shellScript = "export NODE_BINARY=node\n../node_modules/react-native/packager/react-native-xcode.sh\n";
};
8730DB8C1D07ED1900EC80BA /* Bundle React Native code and images */ = {
isa = PBXShellScriptBuildPhase;
... ... @@ -514,33 +412,7 @@
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "export NODE_BINARY=node\n../node_modules/react-native/packager/react-native-xcode.sh";
};
87561E5A1D0FB6B400C6AEE8 /* ShellScript */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 12;
files = (
);
inputPaths = (
);
outputPaths = (
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "releaseConfig=\"Release\"\n\nif [ \"$releaseConfig\" = \"${CONFIGURATION}\" ]; then\necho \"Running Crashlytics\"\n\"${PODS_ROOT}/Fabric/run\" 00fd3f8eb2d9665e7b61964caaa7e90104328efd 59f6c182e8506f71f2efcaa842ffe63fd9207b89dbedfb399a47432997776883\nfi";
};
87561E5B1D0FC3F100C6AEE8 /* ShellScript */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 2147483647;
files = (
);
inputPaths = (
);
outputPaths = (
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "releaseConfig=\"Release\"\n\nif [ \"$releaseConfig\" = \"${CONFIGURATION}\" ]; then\necho \"Running Crashlytics\"\n\"${PODS_ROOT}/Fabric/run\" 00fd3f8eb2d9665e7b61964caaa7e90104328efd 59f6c182e8506f71f2efcaa842ffe63fd9207b89dbedfb399a47432997776883\nfi";
shellScript = "echo \"react-native-xcode start\"\nexport NODE_BINARY=node\n../node_modules/react-native/packager/react-native-xcode.sh\n";
};
A2314943FDBA6078F4B2E61D /* [CP] Check Pods Manifest.lock */ = {
isa = PBXShellScriptBuildPhase;
... ... @@ -548,13 +420,16 @@
files = (
);
inputPaths = (
"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
"${PODS_ROOT}/Manifest.lock",
);
name = "[CP] Check Pods Manifest.lock";
outputPaths = (
"$(DERIVED_FILE_DIR)/Pods-YH_Vendor-checkManifestLockResult.txt",
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "diff \"${PODS_ROOT}/../Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n";
shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
showEnvVarsInLog = 0;
};
C92F66E19D3C3C4B8383E51E /* [CP] Check Pods Manifest.lock */ = {
... ... @@ -563,13 +438,16 @@
files = (
);
inputPaths = (
"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
"${PODS_ROOT}/Manifest.lock",
);
name = "[CP] Check Pods Manifest.lock";
outputPaths = (
"$(DERIVED_FILE_DIR)/Pods-YH_Vendor_Dev-checkManifestLockResult.txt",
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "diff \"${PODS_ROOT}/../Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n";
shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
showEnvVarsInLog = 0;
};
/* End PBXShellScriptBuildPhase section */
... ... @@ -680,7 +558,8 @@
buildSettings = {
ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
ASSETCATALOG_COMPILER_LAUNCHIMAGE_NAME = LaunchImage;
CODE_SIGN_IDENTITY = "iPhone Developer";
CODE_SIGN_IDENTITY = "iPhone Distribution";
CURRENT_PROJECT_VERSION = 7.0.0.2020031801;
DEAD_CODE_STRIPPING = NO;
DEVELOPMENT_TEAM = 825DU77BWH;
HEADER_SEARCH_PATHS = (
... ... @@ -689,11 +568,13 @@
"$(SRCROOT)/../node_modules/react-native/React/**",
);
INFOPLIST_FILE = YH_Vendor/Info.plist;
IPHONEOS_DEPLOYMENT_TARGET = 10.0;
LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
LIBRARY_SEARCH_PATHS = (
"$(inherited)",
"$(PROJECT_DIR)/build/Debug-iphoneos",
);
MARKETING_VERSION = 7.0.0;
OTHER_LDFLAGS = (
"$(inherited)",
"-ObjC",
... ... @@ -702,6 +583,7 @@
PRODUCT_BUNDLE_IDENTIFIER = cn.yoho.vendor.ent;
PRODUCT_NAME = YH_Vendor;
PROVISIONING_PROFILE = "2f2a26fb-68b6-4b6e-9689-3d5d8b123eb5";
PROVISIONING_PROFILE_SPECIFIER = YOHOVendorEntDis;
};
name = Debug;
};
... ... @@ -713,18 +595,21 @@
ASSETCATALOG_COMPILER_LAUNCHIMAGE_NAME = LaunchImage;
CODE_SIGN_IDENTITY = "iPhone Developer";
"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Distribution";
DEVELOPMENT_TEAM = 825DU77BWH;
CURRENT_PROJECT_VERSION = 7.0.0.2020031801;
DEVELOPMENT_TEAM = 6U82P566A4;
HEADER_SEARCH_PATHS = (
"$(inherited)",
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/include,
"$(SRCROOT)/../node_modules/react-native/React/**",
);
INFOPLIST_FILE = YH_Vendor/Info.plist;
IPHONEOS_DEPLOYMENT_TARGET = 10.0;
LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
LIBRARY_SEARCH_PATHS = (
"$(inherited)",
"$(PROJECT_DIR)/build/Debug-iphoneos",
);
MARKETING_VERSION = 7.0.0;
OTHER_LDFLAGS = (
"$(inherited)",
"-ObjC",
... ... @@ -733,6 +618,7 @@
PRODUCT_BUNDLE_IDENTIFIER = cn.yoho.vendor.ent;
PRODUCT_NAME = YH_Vendor;
PROVISIONING_PROFILE = "2f2a26fb-68b6-4b6e-9689-3d5d8b123eb5";
PROVISIONING_PROFILE_SPECIFIER = yohoTest;
};
name = Release;
};
... ... @@ -831,6 +717,7 @@
ASSETCATALOG_COMPILER_LAUNCHIMAGE_NAME = LaunchImage;
CODE_SIGN_IDENTITY = "iPhone Developer";
"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
CURRENT_PROJECT_VERSION = 7.0.0.2020031801;
DEAD_CODE_STRIPPING = NO;
DEVELOPMENT_TEAM = 6U82P566A4;
HEADER_SEARCH_PATHS = (
... ... @@ -839,11 +726,13 @@
"$(SRCROOT)/../node_modules/react-native/React/**",
);
INFOPLIST_FILE = "$(SRCROOT)/YH_Vendor_Dev.plist";
IPHONEOS_DEPLOYMENT_TARGET = 10.0;
LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
LIBRARY_SEARCH_PATHS = (
"$(inherited)",
"$(PROJECT_DIR)/build/Debug-iphoneos",
);
MARKETING_VERSION = 7.0.0;
OTHER_LDFLAGS = (
"$(inherited)",
"-ObjC",
... ... @@ -864,6 +753,7 @@
ASSETCATALOG_COMPILER_LAUNCHIMAGE_NAME = LaunchImage;
CODE_SIGN_IDENTITY = "iPhone Developer";
"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
CURRENT_PROJECT_VERSION = 7.0.0.2020031801;
DEVELOPMENT_TEAM = 6U82P566A4;
HEADER_SEARCH_PATHS = (
"$(inherited)",
... ... @@ -871,11 +761,13 @@
"$(SRCROOT)/../node_modules/react-native/React/**",
);
INFOPLIST_FILE = "$(SRCROOT)/YH_Vendor_Dev.plist";
IPHONEOS_DEPLOYMENT_TARGET = 10.0;
LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
LIBRARY_SEARCH_PATHS = (
"$(inherited)",
"$(PROJECT_DIR)/build/Debug-iphoneos",
);
MARKETING_VERSION = 7.0.0;
OTHER_LDFLAGS = (
"$(inherited)",
"-ObjC",
... ...
... ... @@ -41,6 +41,15 @@
selectedDebuggerIdentifier = "Xcode.DebuggerFoundation.Debugger.LLDB"
selectedLauncherIdentifier = "Xcode.DebuggerFoundation.Launcher.LLDB"
shouldUseLaunchSchemeArgsEnv = "YES">
<MacroExpansion>
<BuildableReference
BuildableIdentifier = "primary"
BlueprintIdentifier = "13B07F861A680F5B00A75B9A"
BuildableName = "YH_Vendor.app"
BlueprintName = "YH_Vendor"
ReferencedContainer = "container:YH_Vendor.xcodeproj">
</BuildableReference>
</MacroExpansion>
<Testables>
<TestableReference
skipped = "NO">
... ... @@ -53,17 +62,6 @@
</BuildableReference>
</TestableReference>
</Testables>
<MacroExpansion>
<BuildableReference
BuildableIdentifier = "primary"
BlueprintIdentifier = "13B07F861A680F5B00A75B9A"
BuildableName = "YH_Vendor.app"
BlueprintName = "YH_Vendor"
ReferencedContainer = "container:YH_Vendor.xcodeproj">
</BuildableReference>
</MacroExpansion>
<AdditionalOptions>
</AdditionalOptions>
</TestAction>
<LaunchAction
buildConfiguration = "Debug"
... ... @@ -85,8 +83,6 @@
ReferencedContainer = "container:YH_Vendor.xcodeproj">
</BuildableReference>
</BuildableProductRunnable>
<AdditionalOptions>
</AdditionalOptions>
</LaunchAction>
<ProfileAction
buildConfiguration = "Release"
... ...
... ... @@ -10,8 +10,8 @@
#import "AppDelegate.h"
#import "RCTRootView.h"
#import <Fabric/Fabric.h>
#import <Crashlytics/Crashlytics.h>
//#import <Fabric/Fabric.h>
//#import <Crashlytics/Crashlytics.h>
@implementation AppDelegate
... ... @@ -19,7 +19,7 @@
- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
[Fabric with:@[[Crashlytics class]]];
// [Fabric with:@[[Crashlytics class]]];
NSURL *jsCodeLocation;
... ...
... ... @@ -45,6 +45,11 @@
"idiom" : "iphone",
"filename" : "贩售通-180.png",
"scale" : "3x"
},
{
"idiom" : "ios-marketing",
"size" : "1024x1024",
"scale" : "1x"
}
],
"info" : {
... ...
... ... @@ -17,11 +17,11 @@
<key>CFBundlePackageType</key>
<string>APPL</string>
<key>CFBundleShortVersionString</key>
<string>6.0.0</string>
<string>$(MARKETING_VERSION)</string>
<key>CFBundleSignature</key>
<string>????</string>
<key>CFBundleVersion</key>
<string>6.0.0.2017092801</string>
<string>$(CURRENT_PROJECT_VERSION)</string>
<key>Fabric</key>
<dict>
<key>APIKey</key>
... ...
... ... @@ -17,11 +17,11 @@
<key>CFBundlePackageType</key>
<string>APPL</string>
<key>CFBundleShortVersionString</key>
<string>6.0.0</string>
<string>$(MARKETING_VERSION)</string>
<key>CFBundleSignature</key>
<string>????</string>
<key>CFBundleVersion</key>
<string>6.0.0.2017080801</string>
<string>$(CURRENT_PROJECT_VERSION)</string>
<key>Fabric</key>
<dict>
<key>APIKey</key>
... ...